Skip to Content
avatar image
Former Member

IE11 compatibility of application developed using webdynpro java in NWDS7.01.12

Hi,

I have a webdynpro java application developed using NWDS 7.01.12 with jdk1.4. This portal application is not working when accessed using IE11 browser. The action on buttons and selection from a drop down list in this application is not responding in IE11. Its working well with mozila fire fox vrs 31. On click of action the following error is encountered:

SCRIPT438: Object doesn't support property or method 'attachEvent'

File: sapUrMapi_ie6.js, Line: 683, Column: 7

which points to the below piece of code:

function sapUrMapi_initLinkStatus() {

  var oNodes = document.getElementsByTagName("A");

  for (var n=0;n<oNodes.length;n++) {

    if (oNodes[n].href.indexOf("javascript:void")>-1) {

      oNodes[n].attachEvent("onmouseover",sapUrMapi_resetStatus);

      oNodes[n].attachEvent("onfocus",sapUrMapi_resetStatus);

    }}}

Also on selection from the combo box the below error is displayed.

SCRIPT438: Object doesn't support property or method 'createEventObject'

File: sapUrMapi_ie6.js, Line: 2193, Column: 2

Code:

oComboBoxSCEvent = document.createEventObject( oEvt);

The above mentioned errors are being pointed to sapUrMapi_ie6.js file.

Is there any solution to over come these issues other than setting "user agent string" value in the browser?

Can this be resolved with any changes in the application or is there any SAP provided solution?

Please help me to resolve this issue.

Similar issues are also pointed to popup_ie6.js files at "window.attachEvent("onload",sapPopup_init)" and

"window.document.attachEvent("onmousemove",resetMouseOver)".

Thankyou.

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

1 Answer

  • Best Answer
    Jan 13, 2015 at 05:50 PM

    Hi Karthika,

    As per PAM, IE11 is supported only since 7.01 SP14.

    https://websmp205.sap-ag.de/~sapidb/011000358700001225132009E

    This is the prerequisite for everything on IE11.

    (NWDS version&SP must match that of runtime system - that's where I deduct your EP version.)

    BR, Tom

    Add comment
    10|10000 characters needed characters exceeded

    • Hi Karthika,

      It is mentioned in Ervin's famous doc, that NWDS version must match that of RunTime System.

      NWDI vs. NWDI content

      I thought the NWDS must be updated via update sites, but surprisingly I could find the patch in service market place.
      I do not know how to get the download link directly for you.

      Perhaps you can spare a few seconds and navigate to

      http://service.sap.com/swdc

      Support Packages and Patches

      A-Z Index

      N

      SAP NetWeaver

      EHP1 for NetWeaver 7.0

      Entry by Comopnent

      Developer Studio

      BR, Tom